Subject: bug#36196: HyRolo String Searches Produce Unexpected Behavior

From: Mats Lidell <[email-masked]>
Date: Thu, 31 Mar 2022 19:27:17 +0200

> Eric Bemiller writes:
> I use:  Editor:      GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
>         Hyperbole:   7.0.3
>         Sys Type:    x86_64-w64-mingw32
>         OS Type:     windows-nt
>         Window Sys:  w32
>         News Reader: Gnus v5.13
>
> I have another bug, I think -- but it may just be related to the weirdness
> around getting Hyperbole 7.0.3 working, which was discussed previously. Or it
> could be me misunderstanding the expected result
>
> Steps to reproduce:
>
> 1. Set `hyrolo-file-list` to only include the `DEMO-ROLO.otl` file
>    included with Hyperbole.
>
> 2. Attempt to search by logcal string, as described in the manual:
>
>    > (and Industries (and Dunn))
>
> 3. Unexpected Behavior #1: The results buffer shows the entire Demo Rolo, not
>    just the matching entry. The matching entry dooesn't have the highlight face
>    applied, either.
>
> 4. Unexpected Behavior #2: Pressing <tab> to jump to next match returns error: 
>
>    > (hyrolo-next-match): No following matches for "[previous Word search string]"
>
> I don't know whether the two are related -- and, like I said, I don't know what
> the intended behavior is.
>
> In the latter case, it seems that `hyrolo-next-match` isn't being passed what I
> enter into the String search, and continues to use whatever the last successful
> Word search was.
>
> So, if I do a Word search for `Smith` and then a string search for `(and
> Industries (and Dunn))`, `hyrolo-next-match` is still looking for `Smith`.
>
> In the former case, the documentation suggests that the results buffer should
> show only show entries that match, and not ones that don't -- and it seems like
> it should highlight the match the way the Word or Regex searches do. Neither
> seems to be the case, currently.
>
> As always, thanks for any help!
>
> etb

Thanks for the report.

Item 1, 2 and 3 have been fixed in the pre 8.0.0 release that is available from elpa-devel. See https://elpa.gnu.org/devel/. Item 4 is scheduled to be fixed in Hyperbole 8.0.1.

Yours
-- 
%% Mats